import * as types from '@babel/types';
import { VisitNodeFunction } from '@babel/traverse';
declare type NodeType = types.Node['type'];
declare type VisitFunction<Type> = VisitNodeFunction<types.Node, Extract<types.Node, {
    type: Type;
}>>;
declare type EsnextSyntaxDescription = string;
declare type Visitors = {
    [Type in NodeType]: (...arg: Parameters<VisitFunction<Type>>) => EsnextSyntaxDescription | void;
};
export declare function checkEsnextSyntax(source: string, visitorsReturnSyntaxDescription?: Visitors): Record<string, number>;
export {};
